[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Please unblock oss-compat

Once again, a unblock request. I've NMU'ed this package to fix an RC
bug which had a patch available for some time, but the maintainer
wasn't responsive. The patch is quite simple and it's included in the
bug report.

Thanks a lot.

---------- Forwarded message ----------
From: Debian Bug Tracking System <owner@bugs.debian.org>
Date: Mon, Dec 22, 2008 at 03:09
Subject: Bug#500460: marked as done (oss-compat: modules are not loaded)
To: Martín Ferrari <tincho@debian.org>

Your message dated Mon, 22 Dec 2008 05:02:02 +0000
with message-id <E1LEcva-0007N2-V7@ries.debian.org>
and subject line Bug#500460: fixed in oss-compat 0.0.4+nmu2
has caused the Debian Bug report #500460,
regarding oss-compat: modules are not loaded
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

500460: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500460
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems

---------- Forwarded message ----------
From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Sun, 28 Sep 2008 15:41:56 +0200
Subject: oss-compat: modules are not loaded
Package: oss-compat
Version: 0.0.4+nmu1
Severity: normal

Somehow the snd-*-oss modules are not loaded at boot time:

| % lsmod | grep ^snd
| snd_intel8x0           25564  0
| snd_ac97_codec         86880  1 snd_intel8x0
| snd_pcm                54600  2 snd_intel8x0,snd_ac97_codec
| snd_timer              16644  1 snd_pcm
| snd                    42340  4 snd_intel8x0,snd_ac97_codec,snd_pcm,snd_timer
| snd_page_alloc          7624  2 snd_intel8x0,snd_pcm

Naturally, /dev/audio and /dev/dsp don't exist either.  Manually loading
the modules works and creates the devices, though:

| % su
| Passwort:
| # modprobe snd-seq-oss && modprobe snd-mixer-oss && modprobe snd-pcm-oss
| # exit
| % lsmod | grep ^snd
| snd_pcm_oss            31072  0
| snd_mixer_oss          12160  1 snd_pcm_oss
| snd_seq_oss            23872  0
| snd_seq_midi_event      6144  1 snd_seq_oss
| snd_seq                38160  4 snd_seq_oss,snd_seq_midi_event
| snd_seq_device          6220  2 snd_seq_oss,snd_seq
| snd_intel8x0           25564  0
| snd_ac97_codec         86880  1 snd_intel8x0
| snd_pcm                54600  3 snd_pcm_oss,snd_intel8x0,snd_ac97_codec
| snd_timer              16644  2 snd_seq,snd_pcm
| snd                    42340  9
| snd_page_alloc          7624  2 snd_intel8x0,snd_pcm

-- System Information:
Debian Release: lenny/sid
 APT prefers unstable
 APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages oss-compat depends on:
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

oss-compat recommends no packages.

oss-compat suggests no packages.

-- no debconf information

---------- Forwarded message ----------
From: Martín Ferrari <tincho@debian.org>
To: 500460-close@bugs.debian.org
Date: Mon, 22 Dec 2008 05:02:02 +0000
Subject: Bug#500460: fixed in oss-compat 0.0.4+nmu2
Source: oss-compat
Source-Version: 0.0.4+nmu2

We believe that the bug you reported is fixed in the latest version of
oss-compat, which is due to be installed in the Debian FTP archive:

 to pool/main/o/oss-compat/oss-compat_0.0.4+nmu2.dsc
 to pool/main/o/oss-compat/oss-compat_0.0.4+nmu2.tar.gz
 to pool/main/o/oss-compat/oss-compat_0.0.4+nmu2_all.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 500460@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Martín Ferrari <tincho@debian.org> (supplier of updated oss-compat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Fri, 19 Dec 2008 02:02:32 -0200
Source: oss-compat
Binary: oss-compat
Architecture: source all
Version: 0.0.4+nmu2
Distribution: unstable
Urgency: high
Maintainer: Robert Millan <rmh@aybabtu.com>
Changed-By: Martín Ferrari <tincho@debian.org>
 oss-compat - OSS compatibility package
Closes: 500460
 oss-compat (0.0.4+nmu2) unstable; urgency=high
  [ Frank Lichtenheld ]
  * Non-maintainer upload.
  * Add the "install snd-{mixer,pcm,seq}" items alsa-base previously
    had. Also remove the "install snd" item, we have no guarantee
    that is is used anyway (see #397765).  (Closes: #500460)
  [ Martín Ferrari ]
  * Uploading Frank's changes.
 fe47a70a0cc297b0f0305fd7213810651d86ac23 728 oss-compat_0.0.4+nmu2.dsc
 7dcc9b619a20706a34f0adaf7dd09bc9d5175b5e 2017 oss-compat_0.0.4+nmu2.tar.gz
 3aab21c491f6a8f4200febeb7143a270a3d38a8c 2574 oss-compat_0.0.4+nmu2_all.deb
 e9da15471a87ec195edbe917462d22579988c1ceb88243c3b37ce5c3b4ee2b35 728
 f64ee7147befd467160e9bc36221fcb07e05ab077d508797f5281e4c565efbdd 2017
 1b2a6e3ed01efab7a1850b2cceaff89042ff0b1bef4e949035c28632afd20d49 2574
 1ca9155e46c147696d54f5a34b1eb1c2 728 sound extra oss-compat_0.0.4+nmu2.dsc
 8cacda1bf0cc75a445b21cca6d052ebb 2017 sound extra oss-compat_0.0.4+nmu2.tar.gz
 9d4a81308d443c18166d2f27fbfdaec0 2574 sound extra oss-compat_0.0.4+nmu2_all.deb

Version: GnuPG v1.4.9 (GNU/Linux)


Martín Ferrari

Reply to: